#include <windows.h>
#include "escapi.h"

initCaptureProc initCapture;
deinitCaptureProc deinitCapture;
doCaptureProc doCapture;
isCaptureDoneProc isCaptureDone;
SimpleCapParams capture;

int setupESCAPI(int aWidth, int aHeight)
{
	HMODULE capdll = LoadLibrary("escapi.dll");
	if (capdll == NULL)
		return 0;

	initCapture = (initCaptureProc)GetProcAddress(capdll, "initCapture");
	deinitCapture = (deinitCaptureProc)GetProcAddress(capdll, "deinitCapture");
	doCapture = (doCaptureProc)GetProcAddress(capdll, "doCapture");
	isCaptureDone = (isCaptureDoneProc)GetProcAddress(capdll, "isCaptureDone");

	if (initCapture == NULL ||
		deinitCapture == NULL ||
		doCapture == NULL ||
		isCaptureDone == NULL)
		return 0;

	capture.mWidth = aWidth;
	capture.mHeight = aHeight;
	capture.mTargetBuf = new int[aWidth * aHeight];

	return initCapture(&capture);
}
