// Exceedingly Simple Capture API

struct SimpleCapParams
{
	int * mTargetBuf;
	int mWidth;
	int mHeight;
};

// initCapture tries to open the video capture device. Returns 0 on failure, 1 on success.
typedef int (*initCaptureProc)(struct SimpleCapParams *aParams);
// deinitCapture closes the video capture device.
typedef void (*deinitCaptureProc)();
// doCapture requests video frame to be captured.
typedef void (*doCaptureProc)();
// isCaptureDone returns 1 when the requested frame has been captured.
typedef int (*isCaptureDoneProc)();

extern initCaptureProc initCapture;
extern deinitCaptureProc deinitCapture;
extern doCaptureProc doCapture;
extern isCaptureDoneProc isCaptureDone;
extern SimpleCapParams capture;

extern int setupESCAPI(int aWidth, int aHeight);